// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {
    onLoad() {
        let time1 = Math.random() + 1;
        let time2 = Math.random() + 1;
        cc.tween(this.node).repeatForever(
            cc.tween().to(time1, { opacity: 50 }).to(time2, { opacity: 255 })
        ).start();
    }
}
